Blockly.Blocks["f_move"] = {
init: function() {
this.appendDummyInput()
   .appendField("Avanza")
   .appendField(new Blockly.FieldNumber(0), "pasos");
this.setPreviousStatement(true, null);
this.setNextStatement(true, null);
this.setColour(230);
this.setTooltip("Indica o número de cadradiños que ten que avanzar");
this.setHelpUrl("");
}};
Blockly.Blocks["f_xira"] = {
init: function() {
this.appendDummyInput()
   .appendField("Xira")
   .appendField(new Blockly.FieldDropdown([["Esquerda","E"], ["Dereita","D"]]), "direccion");
this.setPreviousStatement(true, null);
this.setNextStatement(true, null);
this.setColour(230);
this.setTooltip("");
this.setHelpUrl("");
}};
Blockly.Blocks["f_mentres"] = {init: function() {this.setColour(120);this.appendDummyInput().appendField("ata atopar")
.appendField(new Blockly.FieldImage("ima/fin.jpg", 12, 12));
this.appendStatementInput("DO").appendField("facer");this.setPreviousStatement(true);this.setTooltip("");}};
